Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface ComplexRestrictionType

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `RestrictionType`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ComplexRestrictionTypeImpl`

      public interface ComplexRestrictionType
      extends RestrictionType

  An XML complexRestrictionType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<ComplexRestrictionType>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RestrictionType

      `addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewEnumeration, addNewFractionDigits, addNewGroup, addNewLength, addNewMaxExclusive, addNewMaxInclusive, addNewMaxLength, addNewMinExclusive, addNewMinInclusive, addNewMinLength, addNewPattern, addNewSequence, addNewSimpleType, addNewTotalDigits, addNewWhiteSpace, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBase, getChoice, getEnumerationArray, getEnumerationArray, getEnumerationList, getFractionDigitsArray, getFractionDigitsArray, getFractionDigitsList, getGroup, getLengthArray, getLengthArray, getLengthList, getMaxExclusiveArray, getMaxExclusiveArray, getMaxExclusiveList, getMaxInclusiveArray, getMaxInclusiveArray, getMaxInclusiveList, getMaxLengthArray, getMaxLengthArray, getMaxLengthList, getMinExclusiveArray, getMinExclusiveArray, getMinExclusiveList, getMinInclusiveArray, getMinInclusiveArray, getMinInclusiveList, getMinLengthArray, getMinLengthArray, getMinLengthList, getPatternArray, getPatternArray, getPatternList, getSequence, getSimpleType, getTotalDigitsArray, getTotalDigitsArray, getTotalDigitsList, getWhiteSpaceArray, getWhiteSpaceArray, getWhiteSpaceList, insertNewAttribute, insertNewAttributeGroup, insertNewEnumeration, insertNewFractionDigits, insertNewLength, insertNewMaxExclusive, insertNewMaxInclusive, insertNewMaxLength, insertNewMinExclusive, insertNewMinInclusive, insertNewMinLength, insertNewPattern, insertNewTotalDigits, insertNewWhiteSpace, isSetAll, isSetAnyAttribute, isSetChoice, isSetGroup, isSetSequence, isSetSimpleType, removeAttribute, removeAttributeGroup, removeEnumeration, removeFractionDigits, removeLength, removeMaxExclusive, removeMaxInclusive, removeMaxLength, removeMinExclusive, removeMinInclusive, removeMinLength, removePattern, removeTotalDigits, removeWhiteSpace, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBase, setChoice, setEnumerationArray, setEnumerationArray, setFractionDigitsArray, setFractionDigitsArray, setGroup, setLengthArray, setLengthArray, setMaxExclusiveArray, setMaxExclusiveArray, setMaxInclusiveArray, setMaxInclusiveArray, setMaxLengthArray, setMaxLengthArray, setMinExclusiveArray, setMinExclusiveArray, setMinInclusiveArray, setMinInclusiveArray, setMinLengthArray, setMinLengthArray, setPatternArray, setPatternArray, setSequence, setSimpleType, setTotalDigitsArray, setTotalDigitsArray, setWhiteSpaceArray, setWhiteSpaceArray, sizeOfAttributeArray, sizeOfAttributeGroupArray, sizeOfEnumerationArray, sizeOfFractionDigitsArray, sizeOfLengthArray, sizeOfMaxExclusiveArray, sizeOfMaxInclusiveArray, sizeOfMaxLengthArray, sizeOfMinExclusiveArray, sizeOfMinInclusiveArray, sizeOfMinLengthArray, sizeOfPatternArray, sizeOfTotalDigitsArray, sizeOfWhiteSpaceArray, unsetAll, unsetAnyAttribute, unsetChoice, unsetGroup, unsetSequence, unsetSimpleType, xgetBase, xsetBase`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<ComplexRestrictionType> Factory

    - #### type

          static final SchemaType type